local AddonName, a = ...
if a.BuildFail(50000) then return end
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables

-- SpellFlash API:
-- http://wow.curseforge.com/addons/spellflash/pages/api/

-- Updated variable references:
-- http://wow.curseforge.com/addons/spellflash/pages/api/#w-local-x-spell-flash-addon-updated-variables
-- x.Enemy, x.ActiveEnemy, x.NoCC, x.InInstance, x.InstanceType, x.PetAlive, x.PetActiveEnemy, x.PetNoCC, x.Lag, x.DoubleLag, x.ThreatPercent, x.EnemyDetected, x.ShouldPermanentBuff, x.ShouldTemporaryBuff

-- Use this single spam function and remove the multiple spam table below, or just use the multiple spam table below and leave this function in place.
s.RegisterModuleSpamFunction(AddonName, function() a.RunSpamTable()
	a.Flash("Legacy of the Emperor")
	a.Flash("Spear Hand Strike", "Paralysis", "Leg Sweep") -- interrupt casters
	a.Flash("Fortifying Brew") -- emergency CD for every spec
	a.FlashAll("Tiger's Lust", "Chi Brew", "Charging Ox Wave", "Dampen Harm", "Diffuse Magic", "Invoke Xuen, the White Tiger") -- Talents
	x.Chi = s.Power("player", SPELL_POWER_LIGHT_FORCE )
	x.MaxChi = s.MaxPower("player", SPELL_POWER_LIGHT_FORCE)
	x.Energy = s.Power("player", SPELL_POWER_ENERGY )
	x.InCombat = s.InCombat()
	x.Spec = s.TalentMastery()
	x.EnergyCap = a.powerCap()
	if x.Spec == 1 then
		-- Brewmaster
		x.ShuffleDuration = s.BuffDuration(115307--[[Shuffle]], "player")
		a.Flash("Stance of the Sturdy Ox")
		a.FlashAll("Clash", "Roll") -- if we are not in range, use these
		a.Flash("Provoke") -- taunt if tanking and not keeping aggro
		a.Flash("Dizzying Haze") -- something to do at range, while kiting or to set up a Breath of Fire
		a.Flash("Keg Smash",
		        "Rushing Jade Wind (Brewmaster)", "Blackout Kick (Brewmaster)",
				"Chi Wave", "Zen Sphere", "Chi Burst", "Breath of Fire",
				"Spinning Crane Kick (Brewmaster)",
				"Expel Harm (Brewmaster)",
				"Jab (Brewmaster)",
				"Tiger Palm (Brewmaster)")
		a.Flash("Elusive Brew") -- flash Elusive Brew at 3 Stacks
		a.FlashAll("Guard", "Purify Moderate Stagger", "Purify Heavy Stagger") -- emergency buttons for Brewmasters
	elseif x.Spec == 2 then
		-- Mistweaver
		a.Flash("Stance of the Wise Serpent")
	elseif x.Spec == 3 then
		-- Windwalker
		x.Channeling = s.Channeling(nil, "player")
		a.Flash("Stance of the Fierce Tiger")
		a.Flash("Legacy of the White Tiger")
		a.Flash("Rising Sun Kick (Debuff)",
		        "Tiger Palm (Buff)",
				"Expel Harm (close to cap)",
				"Jab (close to cap)",
				"Tigereye Brew",
				"Energizing Brew",
				"Rising Sun Kick",
				"Fists of Fury",
				"Combo Breaker: Tiger Palm",
				"Combo Breaker: Blackout Kick",
				"Chi Wave", "Zen Sphere", "Chi Burst", "Rushing Jade Wind",
				"Blackout Kick (Windwalker)",
				"Expel Harm (no Chi)",
				"Jab (no Chi)",
				"Flying Serpent Kick")
	else
		print("no active Spec")
	end
end)
